Bug 17462 - lpq -a won't work w/ dummy client setup, fixed in 3.6.24
lpq -a won't work w/ dummy client setup, fixed in 3.6.24
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: LPRng (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Crutcher Dunnavant
:
Depends On: 16991
Blocks:
  Show dependency treegraph
 
Reported: 2000-09-13 02:28 EDT by Pekka Savola
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-01 11:12:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pekka Savola 2000-09-13 02:28:47 EDT
We force all the jobs to remote print queue.  This removes the necessity to
define printers in every printcap, and you don't need to run lpd in client
systems.

Printcap is as follows:

*:lp=%P@lpd:force_localhost@:

(force_localhost@is just to toggle off force_localhost from default
distribution)

Anyway, RC2 LPRng complains when you 'lpq -a':

 printer '*' has illegal character at '*' in name

lpq -Pall works.

This has been fixed in 3.6.24.
Comment 1 Crutcher Dunnavant 2000-09-15 15:51:04 EDT
Okay, I'll gonna update our srpm to LPRng probly next week.
Writing printcap parsers atm.
Comment 2 Crutcher Dunnavant 2000-10-01 11:45:02 EDT
I've got the new LPRng in.

Note You need to log in before you can comment on or make changes to this bug.